Event::ExecFlow::Job::Code(3)

NAME
Event::ExecFlow::Job::Code - Execute a closure

SYNOPSIS
  Event::ExecFlow::Job::Code->new (
    code     => Closure to execute,
    ...
    Event::ExecFlow::Job attributes
  );

DESCRIPTION
Use this module for execution of arbitrary Perl code (passed as a closure) inside an Event::ExecFlow.

OBJECT HIERARCHY
  Event::ExecFlow

  Event::ExecFlow::Job
  +--- Event::ExecFlow::Job::Code

  Event::ExecFlow::Frontend
  Event::ExecFlow::Callbacks

ATTRIBUTES
Attributes can by accessed at runtime using the common get_ATTR(), set_ATTR() style accessors.

[ FIXME: describe all attributes in detail ]

METHODS
[ FIXME: describe all methods in detail ]

AUTHORS
 Jörn Reder <joern at zyn dot de>

COPYRIGHT AND LICENSE
Copyright 2005-2006 by Jörn Reder.

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA.

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 106:
    Non-ASCII character seen before =encoding in 'Jörn'. Assuming CP1252